%global major   1
%define libname %mklibname flashrom %major
%define devname %mklibname flashrom -d

Name:		flashrom
Version:	1.4.0
Release:	%mkrel 2
Summary:	Simple program for reading/writing flash chips content
Group:		System/Libraries
License:	GPLv2
URL:		https://flashrom.org

Source0:	https://download.flashrom.org/releases/%{name}-%{version}.tar.xz
Source1:	https://download.flashrom.org/releases/%{name}-%{version}.tar.xz.asc

BuildRequires:	gnupg2
BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pciutils-devel
BuildRequires:	python3-sphinx
BuildRequires:	libftdi-devel
#BuildRequires:	libjaylink-devel
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	systemd
BuildRequires:	zlib-devel
%ifarch %{ix86} x86_64 aarch64
BuildRequires:	dmidecode
Requires:	dmidecode
%endif
Requires:	udev
# see rhbz #495226
ExcludeArch:	s390 s390x


%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM
images on mainboards, network/graphics/storage controller cards, and various
other programmer devices.

%package -n %libname
Summary:	Simple program for reading/writing flash chips content
Group:		System/Libraries

%description -n %libname
Library for flashrom.

%package -n %devname
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}
# Replace GROUP="plugdev" specifiers with TAG+="uaccess"
sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/flashrom_udev.rules -i

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install

install -D -p -m 0644 util/flashrom_udev.rules %{buildroot}%{_udevrulesdir}/60_flashrom.rules

rm %{buildroot}%{_libdir}/libflashrom.a

%files
%license COPYING
%doc README.rst doc/
%{_sbindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}.bash
%{_mandir}/man8/%{name}.*
%{_udevrulesdir}/60_flashrom.rules

%files -n %libname
%{_libdir}/libflashrom.so.%{major}{,.*}

%files -n %devname
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.4.0-2.mga10
+ Revision: 2230616
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2120456
- new version: 1.4.0

* Wed Dec 14 2022 mrambo3501 <mrambo3501> 1.2-4.mga9
+ Revision: 1921901
- fix Source2 in spec
+ tv <tv>
- Switch source file verification to keys.openpgp.org
- Perform source file verification during %%prep
+ neoclust <neoclust>
- Rebuild because of broken dependancies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Apr 05 2020 tv <tv> 1.2-2.mga8
+ Revision: 1564902
- add devel provides

* Thu Mar 05 2020 tv <tv> 1.2-1.mga8
+ Revision: 1553973
- imported package flashrom


* Thu Mar 05 2020 Thierry Vignaud <tv@mageia.org> 1.2-1.mga8
- import from FC
